Thread (8 messages) 8 messages, 2 authors, 2022-09-30

Re: [PATCH -next v5 2/4] selftests/memory-hotplug: Restore memory before exit

From: David Hildenbrand <hidden>
Date: 2022-09-30 08:34:10
Also in: linux-kselftest, linux-mm, lkml

On 30.09.22 08:35, Zhao Gongyi wrote:
quoted hunk ↗ jump to hunk
Some momory will be left in offline state when calling
offline_memory_expect_fail() failed. Restore it before exit.

Signed-off-by: Zhao Gongyi <redacted>
---
  .../memory-hotplug/mem-on-off-test.sh         | 21 ++++++++++++++-----
  1 file changed, 16 insertions(+), 5 deletions(-)
diff --git a/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh b/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
index 1d87611a7d52..91a7457616bb 100755
--- a/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
+++ b/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
@@ -134,6 +134,16 @@ offline_memory_expect_fail()
  	return 0
  }

+online_all_offline_memory()
+{
+	for memory in `hotpluggable_offline_memory`; do
+		if ! online_memory_expect_success $memory; then
+			echo "$FUNCNAME $memory: unexpected fail" >&2
Do we need that output?


-- 
Thanks,

David / dhildenb
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help